ppoints {stats} | R Documentation

## Ordinates for Probability Plotting

### Description

Generates the sequence of probability points `(1:m - a)/(m + (1-a)-a)` where `m` is either `n`, if `length(n)==1`, or `length(n)`.

### Usage

    ppoints(n, a = ifelse(n <= 10, 3/8, 1/2))

### Arguments

`n` | either the number of points generated or a vector of observations.
`a` | the offset fraction to be used; typically in (0,1).

### Details

If 0 < a < 1, the resulting values are within (0,1) (excluding boundaries). In any case, the resulting sequence is symmetric in [0,1], i.e., `p + rev(p) == 1`.

`ppoints()` is used in `qqplot` and `qqnorm` to generate the set of probabilities at which to evaluate the inverse distribution.

The choice of `a` follows the documentation of the function of the same name in Becker et al (1988), and appears to have been motivated by results from Blom (1958) on approximations to expect normal order statistics (see also `quantile`).

### References

Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) The New S Language. Wadsworth & Brooks/Cole.

Blom, G. (1958) Statistical Estimates and Transformed Beta Variables. Wiley

### See Also

`qqplot`, `qqnorm`.

### Examples

    ppoints(4) # the same as  ppoints(1:4)
    ppoints(10)
    ppoints(10, a=1/2)

[Package stats version 2.15.1 Index]